repo/gentoo:master commit in: dev-python/huawei-lte-api/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786777643.cf86519985fb77b1f1dfc5ba4fe843ea35b2bf38.mgorny@gentoo> |
commit: cf86519985fb77b1f1dfc5ba4fe843ea35b2bf38
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 05:38:06 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 07:07:23 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf865199
dev-python/huawei-lte-api: Bump to 2.0.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/huawei-lte-api/Manifest | 1 +
.../huawei-lte-api/huawei-lte-api-2.0.1.ebuild | 37 ++++++++++++++++++++++
2 files changed, 38 insertions(+)
diff --git a/dev-python/huawei-lte-api/Manifest b/dev-python/huawei-lte-api/Manifest
index 64724c150087..10a79e7f88ef 100644
--- a/dev-python/huawei-lte-api/Manifest
+++ b/dev-python/huawei-lte-api/Manifest
@@ -1 +1,2 @@
DIST huawei-lte-api-1.11.0.gh.tar.gz 45445 BLAKE2B 8bb2deaeb91eb02fbafd6b177b0299f17b7d459b51c963bad938371daa47f66daeea11296f64a75ebf11608f9ca144857b5ba86a66bf3f2f1d0512e559cf8f4f SHA512 04e01c54d6393b93947bd054a3f5723ebc77566bb384fdac6b9848000d4b5e398822e0ca91cc52fc643f64a6409113cf798c1f8b0e3931d5b2f5f1af90ffe344
+DIST huawei_lte_api-2.0.1.tar.gz 46836 BLAKE2B 01aa9334ed0c9fee1b4fcf0e1b7dd4d3751119272ceab3106a040655e87e410d7d2eef1988b8da48f5a4ef87b3929766c7e2ea851a666261a4f38e2ea3c6daee SHA512 b0ed2110b198fd185b1f3f0ff69f86995265ca4cde69a983306ce4427d1ab1de9bd3ebb988f9ed1bb27cbc6e905e9a2bcbe0090757ae203b7a3b309a302bb2d4
diff --git a/dev-python/huawei-lte-api/huawei-lte-api-2.0.1.ebuild b/dev-python/huawei-lte-api/huawei-lte-api-2.0.1.ebuild
new file mode 100644
index 000000000000..7f09550ca189
--- /dev/null
+++ b/dev-python/huawei-lte-api/huawei-lte-api-2.0.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="API For huawei LAN/WAN LTE Modems"
+HOMEPAGE="
+ https://github.com/Salamek/huawei-lte-api/
+ https://pypi.org/project/huawei-lte-api/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ # make cryptodome-friendly
+ sed -i -e 's:pycryptodomex:pycryptodome:' pyproject.toml || die
+ find -name '*.py' -exec \
+ sed -i -e 's:Cryptodome:Crypto:g' {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest